Skip to main content
POST
/
rpc
/
Collections
/
CreateAsset
CreateAsset
curl --request POST \
  --url https://metadata.sequence.app/rpc/Collections/CreateAsset \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectId": 30957,
  "asset": {
    "collectionId": 894,
    "tokenId": "6",
    "metadataField": "image",
    "url": "https://metadata.sequence.app/projects/30957/collections/895/tokens/2/image.png",
    "filename": "image.png",
    "filesize": 670912,
    "mimeType": "image/png",
    "width": 1024,
    "height": 1024
  }
}
'
import requests

url = "https://metadata.sequence.app/rpc/Collections/CreateAsset"

payload = {
"projectId": 30957,
"asset": {
"collectionId": 894,
"tokenId": "6",
"metadataField": "image",
"url": "https://metadata.sequence.app/projects/30957/collections/895/tokens/2/image.png",
"filename": "image.png",
"filesize": 670912,
"mimeType": "image/png",
"width": 1024,
"height": 1024
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 30957,
asset: {
collectionId: 894,
tokenId: '6',
metadataField: 'image',
url: 'https://metadata.sequence.app/projects/30957/collections/895/tokens/2/image.png',
filename: 'image.png',
filesize: 670912,
mimeType: 'image/png',
width: 1024,
height: 1024
}
})
};

fetch('https://metadata.sequence.app/rpc/Collections/CreateAsset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "asset": {
    "id": 4418,
    "collectionId": 894,
    "tokenId": "6",
    "url": "",
    "metadataField": "image",
    "updatedAt": "2024-10-25T01:29:44.686464786Z"
  }
}
{
"error": "WebrpcEndpoint",
"code": 0,
"msg": "endpoint error",
"status": 400,
"cause": "<string>"
}
{
"error": "WebrpcBadResponse",
"code": -5,
"msg": "bad response",
"status": 500,
"cause": "<string>"
}

Authorizations

Authorization
string
header
required

Secret JWT token for authenticating requests obtained from Sequence Builder - should not be exposed publicly.

Body

application/json
projectId
number
asset
object

Response

OK

asset
object